curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
{
"id": "<string>",
"name": "<string>",
"parentId": "CAT-434",
"path": "apparel_and_accessories.clothing.dresses",
"globalId": "CAT-12345",
"metadata": {
"description": "All drinks available in the marketplace.",
"globalName": "Beers",
"path": "Driks/Alcoholic/Beers",
"showInStore": true
}
}
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create or replace one or more categories in the catalog.
curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
{
"id": "<string>",
"name": "<string>",
"parentId": "CAT-434",
"path": "apparel_and_accessories.clothing.dresses",
"globalId": "CAT-12345",
"metadata": {
"description": "All drinks available in the marketplace.",
"globalName": "Beers",
"path": "Driks/Alcoholic/Beers",
"showInStore": true
}
}
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
Use this file to discover all available pages before exploring further.
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Categories to upsert. New categories will be created, and existing ones will be fully replaced with the provided data.
1 - 500 elementsShow child attributes
Successful Response
War diese Seite hilfreich?